// To compile with the shaders from this file, you must be using a q3map
// that supports custom surface parms, and give it the -custinfoparms
// switch in the BSP phase.  Otherwise you'll get an "Unknown
// surfaceparm" error in the BSP phase and the nograpple flag won't work.
// (It's fine to get that error in the vis and light phases.)  The q3map
// supplied with GtkRadiant 1.1-TA is recent enough, for example.

// You must also have a custinfoparms.txt file in your scripts folder,
// with the following contents (without the "//" characters):

//{
//}
//{
//nograpple 10000000
//}

// This makes surfaceparm nograpple set bit 0x10000000 in the surface
// flags, which is the bit for SURF_NOGRAPPLE in the Classic CTF mod.


textures/titans_nograpple/blackhole
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm noimpact
}


textures/titans_nograpple/rockwall_slippery_nograp
{
	qer_editorimage textures/stone/rockwall.tga
	surfaceparm slick
	surfaceparm nolightmap
	surfaceparm nograpple
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/stone/rockwall.tga
		rgbgen vertex
	}
}


textures/titans_nograpple/mrclean_oldstone2_mod3_nograp
{
	qer_editorimage textures/titans_compat/mrclean_oldstone2_mod3.tga
	surfaceparm nograpple

	{
		map $lightmap
		rgbGen identity
	}

	{
		map textures/titans_compat/mrclean_oldstone2_mod3.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
}


textures/titans_nograpple/mrclean_oldstone2_mod3_nograp_nolm
{
	qer_editorimage textures/titans_compat/mrclean_oldstone2_mod3.tga
	surfaceparm nograpple
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/titans_compat/mrclean_oldstone2_mod3.tga
		rgbgen vertex
	}
}


textures/titans_nograpple/mrclean_oldbrk_01_mod3_nograp_nolm
{
	qer_editorimage textures/titans_compat/mrclean_oldbrk_01_mod3.tga
	surfaceparm nograpple
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/titans_compat/mrclean_oldbrk_01_mod3.tga
		rgbgen vertex
	}
}


textures/titans_nograpple/mrclean_oldbrk_01_mod5_r_nograp_nolm
{
	qer_editorimage textures/titans_compat/mrclean_oldbrk_01_mod5_r.tga
	surfaceparm nograpple
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/titans_compat/mrclean_oldbrk_01_mod5_r.tga
		rgbgen vertex
	}
}


textures/titans_nograpple/mrclean_oldbrk_01_mod5_b_nograp_nolm
{
	qer_editorimage textures/titans_compat/mrclean_oldbrk_01_mod5_b.tga
	surfaceparm nograpple
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/titans_compat/mrclean_oldbrk_01_mod5_b.tga
		rgbgen vertex
	}
}


textures/titans_nograpple/mrclean_oldstone2_trim01_nograp_nolm
{
	qer_editorimage textures/titans_compat/mrclean_oldstone2_trim01.tga
	surfaceparm nograpple
	surfaceparm nolightmap
	q3map_novertexshadows
	q3map_forcesunlight

	{
		map textures/titans_compat/mrclean_oldstone2_trim01.tga
		rgbgen vertex
	}
}
